Arch SplitMesh/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Klonuj komponent |Siatka na kształt |środowisko pracy Architektura |IconL=Arch_CloneComponent.svg |IconR=Arch_MeshToShape.svg |IconC=Workbench_Arch.svg }}")
(Created page with "{{GuiCommand/pl |Name=Arch SplitMesh |Name/pl=Architektura: Podziel siatkę |MenuLocation=Architektura → Narzędzia → Podziel siatkę |Workbenches=Architektura |SeeAlso=Zaznacz siatki niebryłowe, Siatka na kształt }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Arch SplitMesh
|Name=Arch SplitMesh
|Name/pl=Architektura: Podziel siatkę
|MenuLocation=ArchUtilitiesSplit Mesh
|MenuLocation=ArchitekturaNarzędziaPodziel siatkę
|Workbenches=[[Arch_Workbench|Arch]]
|Workbenches=[[Arch_Workbench/pl|Architektura]]
|SeeAlso=[[Arch_SelectNonSolidMeshes|Arch SelectNonSolidMeshes]], [[Arch_MeshToShape|Arch MeshToShape]]
|SeeAlso=[[Arch_SelectNonSolidMeshes/pl|Zaznacz siatki niebryłowe]], [[Arch_MeshToShape/pl|Siatka na kształt]]
}}
}}



Revision as of 14:18, 6 May 2024

Architektura: Podziel siatkę

Lokalizacja w menu
Architektura → Narzędzia → Podziel siatkę
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Zaznacz siatki niebryłowe, Siatka na kształt

Description

This tool splits a selected Mesh object into its separate components

Usage

  1. Select a mesh object.
  2. Press the Split Mesh entry in Arch → Utilities → Split Mesh.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The SplitMesh tool can be used in macros and from the Python console by using the following function:

new_list = splitMesh(obj, mark=True)
  • Splits the given mesh object (obj) into separated components.
  • If mark is True non-manifold components will be painted red.
  • new_list is a list of all the individual components that make the mesh.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)